=== src/CMakeLists.txt ===
add_subdirectory(applications)
add_subdirectory(integration)
