=== src/applications/python/CMakeLists.txt ===
##############################################################################
# Scripts
##############################################################################

install(
  PROGRAMS
    maliput_to_string_with_plugin.py
  DESTINATION
    bin
)
