=== debian/changelog ===
ros-foxy-maliput-integration (0.1.6-1focal) focal; urgency=high

  * Adds more options to the obj creator app. (#132 <https://github.com/maliput/maliput_integration/issues/132>)
  * Relies on maliput_multilane's RN builder. (#131 <https://github.com/maliput/maliput_integration/issues/131>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Thu, 13 Apr 2023 03:00:00 -0000

ros-foxy-maliput-integration (0.1.5-1focal) focal; urgency=high

  * Adds GetConfluentBranches and GetOngoingBranches query support. (#130 <https://github.com/maliput/maliput_integration/issues/130>)
  * Adds queries to get parameter list from backends. (#129 <https://github.com/maliput/maliput_integration/issues/129>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Wed, 15 Feb 2023 03:00:00 -0000

ros-foxy-maliput-integration (0.1.4-1focal) focal; urgency=high

  * Adds missing dependency to maliput_sparse (#127 <https://github.com/maliput/maliput_integration/issues/127>)
  * Adds maliput_osm backend to the applications. (#124 <https://github.com/maliput/maliput_integration/issues/124>)
  * Updates triage workflow. (#125 <https://github.com/maliput/maliput_integration/issues/125>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 13 Dec 2022 03:00:00 -0000

ros-foxy-maliput-integration (0.1.3-1focal) focal; urgency=high

  * Adds Lane::ToSegmentPosition query. (#123 <https://github.com/maliput/maliput_integration/issues/123>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Thu, 15 Sep 2022 03:00:00 -0000

ros-foxy-maliput-integration (0.1.2-1focal) focal; urgency=high

  * Matches with BoundingRegion moving to maliput. (#122 <https://github.com/maliput/maliput_integration/issues/122>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 16 Aug 2022 03:00:00 -0000

ros-foxy-maliput-integration (0.1.1-1focal) focal; urgency=high

  * Matches change in create_road_network binding. (#120 <https://github.com/maliput/maliput_integration/issues/120>)
  * Adds triage workflow. (#121 <https://github.com/maliput/maliput_integration/issues/121>)
  * Improves README. (#119 <https://github.com/maliput/maliput_integration/issues/119>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Fri, 29 Jul 2022 03:00:00 -0000

ros-foxy-maliput-integration (0.1.0-1focal) focal; urgency=high

  * Updates package.xml file.
  * Several changes for ros build farm compatibility (#118 <https://github.com/maliput/maliput_integration/issues/118>)
  * Uses compile definitions for the tests. (#117 <https://github.com/maliput/maliput_integration/issues/117>)
  * Updates license. (#116 <https://github.com/maliput/maliput_integration/issues/116>)
  * Removes dashing support. (#115 <https://github.com/maliput/maliput_integration/issues/115>)
  * Apps: Allows relative path to resource env var. (#114 <https://github.com/maliput/maliput_integration/issues/114>)
  * Extends maliput_query app with maliput_object related queries (#112 <https://github.com/maliput/maliput_integration/issues/112>)
  * Adds the RoadGeometry pointer when constructing IntersectionBooks. (#111 <https://github.com/maliput/maliput_integration/issues/111>)
  * Modified library dependancies from utilities to utility (#110 <https://github.com/maliput/maliput_integration/issues/110>)
  * Merge pull request #109 <https://github.com/maliput/maliput_integration/issues/109> from ToyotaResearchInstitute/voldivh/value_range_method_to_state
    Changed values() and ranges() method from Rules to states()
  * [FEAT]: Changed values() and ranges() method from Rules to states()
  * Adds example using dynamic rules (#107 <https://github.com/maliput/maliput_integration/issues/107>)
  * Adds BUILD_DOCS flag as opt-in flag (#108 <https://github.com/maliput/maliput_integration/issues/108>)
  * Matches with change in maliput's phase ring book loader. (#106 <https://github.com/maliput/maliput_integration/issues/106>)
  * Adds gflag for loading a RuleRegistry yaml file. (#104 <https://github.com/maliput/maliput_integration/issues/104>)
  * Adds workflow_dispatch to other workflows. (#103 <https://github.com/maliput/maliput_integration/issues/103>)
  * Adds CI badges (#102 <https://github.com/maliput/maliput_integration/issues/102>)
  * Replaces push by workflow_dispatch event in gcc build. (#100 <https://github.com/maliput/maliput_integration/issues/100>)
  * Includes malidrive's new parameter: max_linear_tolerance (#99 <https://github.com/maliput/maliput_integration/issues/99>)
  * Use maliput_drake instead of drake_vendor (#98 <https://github.com/maliput/maliput_integration/issues/98>)
  * maliput_measure_load_time: Adds tutorial. (#97 <https://github.com/maliput/maliput_integration/issues/97>)
  * Adds info about other maliput_to_string implemenatation apps. (#95 <https://github.com/maliput/maliput_integration/issues/95>)
  * maliput_derive_lane_s_route: Improve app + tutorial (#94 <https://github.com/maliput/maliput_integration/issues/94>)
  * Pairs with multilane::RoadGeometry going private. (#96 <https://github.com/maliput/maliput_integration/issues/96>)
  * Extends maliput_to_obj app to also generate urdf file. (#93 <https://github.com/maliput/maliput_integration/issues/93>)
  * Pairs with maliput_malidrive's load deprecation method. (#91 <https://github.com/maliput/maliput_integration/issues/91>)
  * Adds maliput_to_obj tutorial. (#90 <https://github.com/maliput/maliput_integration/issues/90>)
  * maliput_query: GetNumberOfLanes command. (#89 <https://github.com/maliput/maliput_integration/issues/89>)
  * maliput_query: Adds elapsed time information. (#88 <https://github.com/maliput/maliput_integration/issues/88>)
  * Updates maliput_query use using double dashes. (#87 <https://github.com/maliput/maliput_integration/issues/87>)

